/******************************************************************************
 *{@C
 *      Copyright:      2005-2006 Paul Obermeier (obermeier@poSoft.de)
 *
 *                      See the file "Tcl3D_License.txt" for information on
 *                      usage and redistribution of this file, and for a
 *                      DISCLAIMER OF ALL WARRANTIES.
 *
 *      Module:         Tcl3D -> tcl3dOgl
 *      Filename:       gl.i
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    SWIG file for wrapping the OpenGL core library
 *                      contained in file gl.h.
 *
 *****************************************************************************/

%module gl

%{
#if defined (WIN32)
#include <windows.h>
#include <wingdi.h>
#endif
#include "GL/gl.h"
%}

%include tcl3dDefines.i

// Redefine the function with a return value, so that the SWIG generated
// wrapper function returns a Tcl string.
// Maybe this could be made more elegant with typemaps ??
const char *glGetString (GLenum name);

%include "GL/gl.h"
